Subject: bug#18209: Add ability to truncate long grep matches

From: Stefan Kangas <[email-masked]>
Date: Wed, 12 Aug 2020 11:39:13 -0700

Reuben Thomas <[email-masked]> writes:

> On 6 August 2014 18:44, Stefan Monnier <[email-masked]> wrote:
>
>  >>>>> "Reuben" == Reuben Thomas <[email-masked]> writes:
>
>  > In some files (e.g. in text files using newline as a paragraph delimiter)
>  > one can get matches in very long lines that can occupy several screenfuls.
>  > These are not always straightforward to avoid. There's no way to tell (GNU)
>  > grep to truncate its output; perhaps Emacs could help here, by being able
>  > to specify a maximum length of match to show? For bonus points, show part
>  > of the line that matches, with ellipses, rather than just truncating the
>  > line; but even without that it would be useful, provided that the
>  > truncation is clearly marked: the annoyance and slowness of navigating
>  > *grep* buffers full of enormous matches which are almost always not what
>  > one is looking for would be great!
>
>  FWIW, I have the following in my ~/.emacs:
>
>     (defun sm-compilation-mode-hook ()
>       (setq truncate-lines t))
>     (add-hook 'compilation-mode-hook #'sm-compilation-mode-hook)
>
> That's ingenious, obvious, and thanks very muchious.

Did that resolve the problem, or is there anything more to do here?

Best regards,
Stefan Kangas